Nav

Anypoint Studio 6.0 with 3.8.0 Runtime Update Site 3 Release Notes

July 14, 2016
Build ID: 201607131848

Compatibility

Mule Runtime

Version: 3.8.0 EE

Anypoint Studio

Version: 6.0.3
Build Id: 201607131848

APIkit

Versions: 3.8.0 - 1.7.3 - 1.6.2 - 1.5.3

DataWeave

Version: 1.1.0

MUnit

Version: 1.2.0 , 3.6.3, 3.7.3, 3.8.0 (mule-munit-support), 1.2.1 (munit-studio-plugin)

SAP Connector

Versions: 3.0.0

What’s New

6.0.3 is a hotfix release focused on resolving customer issues. It also fixes the error when launching a Mule application using the old Studio theme.

Migration Guide

For first time installment, please refer to Studio 6.0.0 release notes for hardware requirements and known issues.

From the previous versions of Studio 5.1.0, 5.1.1, 5.2.0, 5.2.1, 5.3.0, 5.4.1, 5.4.2 and 5.4.3, there is no special migration needed, but when opening a previous Workspace with projects that were created with Studio 5.1.0 or older, and which has metadata stored in disk, Studio asks you to perform an update to all the projects so that the Metadata Manager can handle the types and to show the types in your project.

You can easily import all of the external components that you had installed in your old version of Anypoint Studio through a single action. This includes connectors, runtimes, and any other type of extension added through the Anypoint Exchange or the ​Help → Install new software​ menu, as long as there are no compatibility restrictions.

Do this by selecting File→Import and then choose Install→From existing installation.

import

Then specify the location of your old version of Anypoint Studio in your local drive.

Eclipse Plugin

If you are using Studio as an Eclipse plugin, you can get this version of Studio using the Eclipse update site http://studio.mulesoft.org/r5/plugin.

This allows you to download Anypoint Studio core and third-party components version 6.x.x and with an embedded version of Mule Runtime v3.8.x along with other optional components.
For a detailed description of the update site’s content visit the Studio in Eclipse section.

JIRA Ticket List for Anypoint Studio

Bug Fixes

  • SE-4045 - Studio upgrade to 6.0.2: There are no Mule Servers installed. Anypoint Studio requires at least one server runtime in order to work properly.

  • SE-4034 - Error using Jeeeyul’s themes

  • SE-3013 - NullPointerException when creating DFLPropertiesEditor

Support